unit uViewAlbaranesDevCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewAlbaranesCliente, cxStyles, cxCustomData, cxGraphics, cxFilter,
  cxData, cxDataStorage, cxEdit, DB, cxDBData, cxImageComboBox, cxCurrencyEdit,
  dxPSGlbl, dxPSUtl, dxPSEngn, dxPrnPg, dxBkgnd, dxWrap, dxPrnDev,
  dxPSCompsProvider, dxPSFillPatterns, dxPSEdgePatterns, dxPgsDlg, dxPSCore,
  ImgList, PngImageList, ActnList, cxGridCustomPopupMenu, cxGridPopupMenu,
  dxPScxCommon, dxPScxGrid6Lnk, uDADataTable, TB2Item, SpTBXItem, TB2Toolbar,
  SpTBXDkPanels, TB2Dock, uViewFiltroBase, cxGridLevel, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxClasses, cxControls, cxGridCustomView,
  cxGrid, uDAInterfaces, cxLookAndFeels, cxLookAndFeelPainters,
  dxPSPDFExportCore, dxPSPDFExport, cxDrawTextUtils, dxPSPrVwStd, dxPSPrVwAdv,
  dxPScxEditorProducers, dxPScxExtEditorProducers, dxPScxPageControlProducer,
  uCustomView, uViewBase;    
  
type
  IViewAlbaranesDevCliente = interface(IViewAlbaranesCliente)
  ['{C3B3534D-DC3C-49E8-9176-77DD079D7A47}']
  end;

  TfrViewAlbaranesDevCliente = class(TfrViewAlbaranesCliente, IViewAlbaranesDevCliente)
    procedure CustomViewCreate(Sender: TObject);
  end;

implementation

uses uViewGrid;
{$R *.dfm}

procedure TfrViewAlbaranesDevCliente.CustomViewCreate(Sender: TObject);
begin
  inherited;
  cxGrid.RootLevelOptions.DetailTabsPosition := dtpNone;

  with cxGridViewSITUACION do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewREF_PEDIDO do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewFECHA_PREVISTA_ENVIO do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewFECHA_ENVIO do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewFECHA_RECEPCION do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewCALLE do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewCODIGO_POSTAL do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewPOBLACION do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;

  with cxGridViewPROVINCIA do
  begin
    VisibleForCustomization := False;
    Visible := False;
  end;
end;

end.
